
Figure - Bug #116375
【AF】【EVT2】【ST】【Storage】【客户验证】使用应用宝或其他应用商店下载软件，当软件下载超过110G
左右后，下载内容保存到System路径中，设备重启后就恢复正常保存在应用或者游戏路径
2023-02-20 12:47 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-10

Priority: High Due date: 2023-04-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: TEST Found Version: 0075

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-15

Test Type: ST Root cause: 当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

Description

【前提条件】

None

【测试步骤】

1. 设备正常开机，连接可用网络

2. 安装应用商店，如：应用宝

3. 开始下载APP，仅下载，不安装

4. 等内容满后重启

5. 再次下载app

6. 查看内存使用情况：设置->存储

【预期结果】

3.下载的应用内存增长应该仅在-应用或游戏中，直到用尽所有内存空间

设置->系统 ：内存为12G不会增长

设置->应用： 持续增长

4.可以正常下载

5.提示内已满无法下载

6.

设置->系统 ：内存为12G不会增长

设置->应用： 为100多G

【实际结果】

3.下载的应用内存增长应该仅在-应用或游戏中，直到用尽所有内存空间

设置->应用： 应用内存增长至110G左右时，系统内存开始增长

4.可以正常下载

5.提示内已满无法下载

6.

设置->系统 ：内存为12G不会增长

设置->应用： 为100多G

【其他信息】

问题点：

正常下载时超过一定内存110G左右，开始占用系统的内存
在出现问题后，重启设备，再次进行下载，不会复现该问题

Subtasks:

Bug # 117367: 【AF】【EVT3】【ST】【tlog】【客户验证】使用应用宝下载软件填满设备，在填满后，不断的... CLOSED

History

#1 - 2023-02-20 17:17 - 移动测试一组_CDTS 刘强

客户那边的现象是重启也不会释放系统内的内存，且把所有下载的app卸载同样无法恢复

#2 - 2023-02-22 11:07 - CD TPM-王祥林

- Category changed from BSP to CD-FW

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#3 - 2023-02-24 14:36 - 移动测试一组_CDTS 刘强

客户现象日志：ftp://cdiot@192.168.87.46/Figure/bug/116375/Muse20230224115535.zip

现象：

通过应用商店下载安装app后，到达110G左右，系统文件内存开始增加

客户通过、卸载已经安装的app、重启，均不能释放系统文件增长的内存

#4 - 2023-02-27 20:44 - CD FW 曹覃刚

- Due date set to 2023-03-08

- Status changed from New to ASSIGNED

#5 - 2023-02-28 14:35 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#6 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#7 - 2023-03-08 15:28 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

Hi 强哥

■ 我们的分析

现象一：

设定存储画面的内存显示方式如下

总存储 128G

系统 = 已使用的内存-游戏-音频-视频-图片-文档和其他-应用

已使用的内存 = (游戏+音频+视频+图片+文档和其他+应用) + (系统缓存+日志等+系统本身所占内存)

现象二：

内存占用超过1GB的单位，会以四舍五入的方式显示所占内存，比如

1GB到1.4GB会显示1GB，而1.5GB到2.4GB会显示为2GB

根据上述2点现象，得出下列结论

①应用的内存固定等于所下载应用本身的大小

2025-07-05 2/7

ftp://cdiot@192.168.87.46/Figure/bug/116375/Muse20230224115535.zip


②系统的内存会根据系统的缓存和日志等临时文件产生变化，正常使用过程中或重启前后，由于系统临时文件和缓存等因素的影响，系统所占内存会动

态变化

  对于系统临时文件和缓存等因素不过多补充，其涉及的模块和内容过多，只做简要概述

③超过1GB的单位，增减量不够大时, 显示的大小不会发生变化

根据上述3点结论，可以得出此票的现象是正常现象

发生问题时，下载的应用所需空间不够大，所以显示的应用内存没有发生变化，但是实际是增长的

而系统大小发生改变，是由于系统临时文件和缓存等因素的影响

日志补充:

-----------------

03-01 11:31:53.329 19796 19796 D cqg0308 : StorageItemPreferenceController onLoadFinished  ----  START

03-01 11:31:53.329 19796 19796 D cqg0308 : userId = 0

03-01 11:31:53.329 19796 19796 D cqg0308 : mTotalSize = 128000000000

03-01 11:31:53.329 19796 19796 D cqg0308 : data.allAppsExceptGamesSize = 106170294784

03-01 11:31:53.329 19796 19796 D cqg0308 : data.gamesSize = 0

03-01 11:31:53.330 19796 19796 D cqg0308 : result.size() = 1

03-01 11:31:53.330 19796 19796 D cqg0308 : attributedSize compute 0 start

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.gamesSize 0

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.audioSize 8414449

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.videosSize 34925724

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.imagesSize 2215392

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.documentsAndOtherSize 16195282

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.trashSize 0

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.allAppsExceptGamesSize 106170294784

03-01 11:31:53.330 19796 19796 D cqg0308 : otherData.duplicateCodeSize 0

03-01 11:31:53.330 19796 19796 D cqg0308 : attributedSize = 106232045631

03-01 11:31:53.330 19796 19796 D cqg0308 : attributedSize compute 0 end

03-01 11:31:53.330 19796 19796 D cqg0308 : TrafficStats.GB_IN_BYTES = 1073741824

03-01 11:31:53.330 19796 19796 D cqg0308 : mUsedBytes = 120437043200

03-01 11:31:53.330 19796 19796 D cqg0308 : attributedSize = 106232045631

03-01 11:31:53.331 19796 19796 D cqg0308 : systemSize = 14204997569

03-01 11:31:53.332 19796 19796 D cqg0308 : StorageItemPreferenceController onLoadFinished  ----  END

03-01 12:09:31.242 19796 19796 D cqg0308 : StorageItemPreferenceController onLoadFinished  ----  START

03-01 12:09:31.242 19796 19796 D cqg0308 : userId = 0

03-01 12:09:31.242 19796 19796 D cqg0308 : mTotalSize = 128000000000

03-01 12:09:31.242 19796 19796 D cqg0308 : data.allAppsExceptGamesSize = 109534405120   //应用大小会根据实际下载应用的数量变化, 增减量不够大时, 显示的

大小不会发生变化, 但实际大小已改变

03-01 12:09:31.242 19796 19796 D cqg0308 : data.gamesSize = 0

03-01 12:09:31.243 19796 19796 D cqg0308 : result.size() = 1

03-01 12:09:31.243 19796 19796 D cqg0308 : attributedSize compute 0 start

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.gamesSize 0

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.audioSize 8414449

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.videosSize 34925724

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.imagesSize 2215392

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.documentsAndOtherSize 16195282

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.trashSize 0

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.allAppsExceptGamesSize 109534405120

03-01 12:09:31.243 19796 19796 D cqg0308 : otherData.duplicateCodeSize 0

03-01 12:09:31.243 19796 19796 D cqg0308 : attributedSize = 109596155967

03-01 12:09:31.244 19796 19796 D cqg0308 : attributedSize compute 0 end

03-01 12:09:31.244 19796 19796 D cqg0308 : TrafficStats.GB_IN_BYTES = 1073741824
03-01 12:09:31.244 19796 19796 D cqg0308 : mUsedBytes = 124393275392

03-01 12:09:31.244 19796 19796 D cqg0308 : attributedSize = 109596155967

03-01 12:09:31.244 19796 19796 D cqg0308 : systemSize = 14797119425  //系统的内存会根据系统的缓存和日志等临时文件产生变化，并不是固定的

03-01 12:09:31.244 19796 19796 D cqg0308 : StorageItemPreferenceController onLoadFinished  ----  END

-----------------

■ 下一步计划

请测试同学确认以及反馈给客户，感谢

#8 - 2023-03-09 15:15 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_TEST 王成

帮忙评估下这个情况客户能否接受

#9 - 2023-03-15 14:06 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

按3.13号的讨论，先做修改后看下效果

#10 - 2023-03-15 17:37 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW 曹覃刚

#11 - 2023-03-23 14:28 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0090_20230411

#12 - 2023-03-24 19:36 - CD FW 曹覃刚

- Due date changed from 2023-03-08 to 2023-04-11

#13 - 2023-04-06 18:42 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT2】【ST】【Storage】使用应用宝或其他应用商店下载软件，当软件下载超过110G左右后，下载内容保存到System路

径中，设备重启后就恢复正常保存在应用或者游戏路径 to 【AF】【EVT2】【ST】【Storage】使用应用宝或其他应用商店下载软件，当软件下载超

过110G左右后，下载内容保存到System路径中，设备重启后就恢复正常保存在应用或者游戏路径

#14 - 2023-04-08 20:07 - CD FW 曹覃刚

- File Screenshot from 2023-04-08 19-49-52.png added

- Category changed from CD-FW to SYSTEM

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

Hi 夏旭

■ 我的分析

我复现了这个问题

问题现象:系统分区占用的内存过多，详情见截图，正常情况系统分区仅占10多个G，发生问题时，随着时间一直缓慢增长，从观察到异常增长时大约30

个G，到截图时已经接近80个G(大概四五个小时左右)

复现条件:使用应用宝下载软件填满设备，在填满后，不断的卸载已安装的应用，再次下载新的应用安装。观察系统分区的尺寸，如果系统分区尺寸已经

明显增长了很多个G后(为了确保复现问题可以等增长10个G)，可以暂停下载安装应用，此时随着时间增加，系统分区尺寸会不断增加

日志情况:我抓取了部分日志(ftp /Pre_figure/Test_Log/Bug_116375/memory.txt)
从4万行左右开始，到日志文件结尾100多万行中，近100万行日志中全是下列日志

--------------------

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.336  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

04-08 04:48:41.337  1313  1337 E tlogd   : [ZipEncryptWriter](encryptWrite) fwrite error=No space left on device, entry->fp: 0xb400006fbef12d18, path:

/data/tlog/persist//000197_persist_00000_230408_002541.log.ing

--------------------
根据发生条件和现象以及日志情况来看

似乎是tlog，在设备满内存时，发生文件读写异常，导致系统分区内存不断增长

■ 下一步解析计划

需要system组的同学帮助分析该问题

#15 - 2023-04-11 18:22 - CD SYSTEM-夏旭

■ 我的分析

这个log是在每次写入log文件的时候打印的，但是由于设备已经没有存储了，所以会一直打印

tlog没有内存的时候不会写入文件，但是进程一直都在，一直都会打log，需要调整tlog

■ 下一步计划

把这个log删除，复现问题看是否会出现这类问题

#16 - 2023-04-13 17:17 - CD SYSTEM-夏旭

■ 当前进度

本地编译验证通过，没有打印相关日志，系统分区也没有增加

■ 下一步计划

等待VB验证

#17 - 2023-04-14 18:06 - CD SYSTEM-夏旭

- Category changed from SYSTEM to CD-FW

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

■ 目前进度

已提交修改

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/193323

本地验证OK，没有遇到类似问题

■ 下一步计划

麻烦FW组同学看看是否还存在这个问题

#18 - 2023-04-14 20:46 - CD FW 曹覃刚

- Category changed from CD-FW to SYSTEM

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-15

- Root cause set to 当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

#19 - 2023-04-15 18:02 - 移动测试一组_CDTS 刘强

20230415：需要准备环境，下载大量apk验证，当日暂无结果

#20 - 2023-04-17 17:50 - CDTS_Test 吴诗雨
验证版本：0417DB

验证的情况如下：

1、用华为应用市场下载软件，会增加一部分的系统内存，装满内存，系统内存在29G左右。在内存装满后（128G），卸载一些应用到120G，再下载应用

装满128G，重复操作四次，系统应用整个过程中没有变化。在这之后静止了30min，系统内存没有增加。

2、用应用宝下载软件，系统内存为12G一直没变。在内存装满后，卸载一部分的APP，再装载新的APP，重复操作两次，系统内存也一致没有发生变化

。

3、操作过的设备，有一台会放置到明天早上，看情况。

#21 - 2023-04-18 10:01 - CDTS_Test 吴诗雨

操作过的设备,放置一晚，系统内存未发生变化

#22 - 2023-04-18 17:08 - 移动测试一组_CDTS 刘强

根据上述结果，验证通过，等客户测验证无误后关闭issue

#23 - 2023-05-15 19:27 - 移动测试一组_CDTS 刘强

- Subject changed from 【AF】【EVT2】【ST】【Storage】使用应用宝或其他应用商店下载软件，当软件下载超过110G左右后，下载内容保存到System路径

中，设备重启后就恢复正常保存在应用或者游戏路径 to 【AF】【EVT2】【ST】【Storage】【客户验证】使用应用宝或其他应用商店下载软件，当软件

下载超过110G左右后，下载内容保存到System路径中，设备重启后就恢复正常保存在应用或者游戏路径

#24 - 2023-06-14 21:43 - 智能系统测试组_TSCD 田科

Deal all

在110版本未复现此问题

结果：PASS

版本：user.01.00.0110.C104

步骤：应用宝下载APK，系统内存一直保持12GB，应用内存：持续增加，直至内存填满，删除一些安装包后反复在次安装，也只有应用内存：持续增加

，系统内存无变化

豌豆荚下载APK，系统内存一直保持12GB，应用内存：持续增加，直至内存填满，删除一些安装包后反复在次安装，也只有应用内存：持续增加，系统

内存无变化

Thanks

#25 - 2023-07-12 17:05 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

客户验证通过

#26 - 2023-07-12 17:05 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
